Arch MeshToShape/ru: Difference between revisions

From FreeCAD Documentation
(Created page with "{{docnav/ru |Split Mesh |Select non-solid meshes |Arch |IconL=Arch_SplitMesh.svg |IconC=Workbench_Arch.svg |Ic...")
mNo edit summary
Line 9: Line 9:
}}
}}


{{GuiCommand/ru
<div class="mw-translate-fuzzy">
{{GuiCommand/ru
|Name=Arch MeshToShape
|Name=Arch MeshToShape
|Name/ru=Arch MeshToShape
|Name/ru=Arch MeshToShape
|Workbenches=[[Arch Module/ru|Arch]]
|MenuLocation=Архитектура → Утилиты → Сетка в фигуру
|MenuLocation=Архитектура → Утилиты → Сетка в фигуру
|Workbenches=[[Arch Module/ru|Arch]]
|SeeAlso=[[Arch RemoveShape/ru|Удалить форму из Архитектуры]]
|SeeAlso=[[Arch SplitMesh/ru|Arch SplitMesh]], [[Arch RemoveShape/ru|Удалить форму из Архитектуры]]
}}
}}
</div>


==Определение==
==Определение==

Revision as of 17:49, 1 February 2020

Arch MeshToShape

Системное название
Arch MeshToShape
Расположение в меню
Архитектура → Утилиты → Сетка в фигуру
Верстаки
Arch
Быстрые клавиши
Нет
Представлено в версии
-
См. также
Arch SplitMesh, Удалить форму из Архитектуры

Определение

Этот инструмент преобразует выбранную сетку в объект типа Shape. Обратите внимание, этот инструмент оптимизирован для объектов с плоскими поверхностями (без кривых). Соответствующий инструмент из верстака Part более подходит для объектов с кривыми поверхностями.

Использование

  1. Select a mesh object.
  2. Press the Mesh to Shape entry in Arch → Utilities → Mesh to Shape.

Properties

Limitations

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)
  • Turns the given obj, a mesh, into a shape, joining coplanar facets.
  • If mark is True, non-solid objects will be marked in red.
  • If fast is True it uses a faster algorithm by building a shell from the facets then removing splitter.
  • tol is the tolerance used when converting mesh segments to wires.
  • If flat is True it will force the wires to be perfectly planar, to be sure they can be turned into faces, but this might leave gaps in the final shell.
  • If cut is True holes in faces are made by subtraction.
import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)